#-------------------------------------------------
# Project created by QtCreator 2019-08-03T15:05:59
# adapted by giomba
#-------------------------------------------------

QT       += core gui sql

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = argento
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

DEFINES += GOLEM_CURRENT_COMMIT="\\\"$(shell git rev-parse --short=16 HEAD)\\\""

CONFIG += c++11

SOURCES += \
        EditWindow.cpp \
        main.cpp \
        MainWindow.cpp \
        status.cpp \
        fullQuery.cpp \
        SociListTab.cpp \
        RenewalTab.cpp \
        AboutWindow.cpp


HEADERS += \
        EditWindow.h \
        MainWindow.h \
        status.h \
        fullQuery.h \
        SociListTab.h \
        RenewalTab.h \
        AboutWindow.h


FORMS += \
        MainWindow.ui \
        EditWindow.ui \
        SociListTab.ui \
        RenewalTab.ui \
        AboutWindow.ui

RESOURCES += \
        resources.qrc

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
